[arch-commits] Commit in python-pyfix/repos/community-any (PKGBUILD PKGBUILD)

Felix Yan felixonmars at archlinux.org
Sun Apr 22 07:51:17 UTC 2018


    Date: Sunday, April 22, 2018 @ 07:51:16
  Author: felixonmars
Revision: 317287

archrelease: copy trunk to community-any

Added:
  python-pyfix/repos/community-any/PKGBUILD
    (from rev 317286, python-pyfix/trunk/PKGBUILD)
Deleted:
  python-pyfix/repos/community-any/PKGBUILD

----------+
 PKGBUILD |   87 ++++++++++++++++++++++++-------------------------------------
 1 file changed, 35 insertions(+), 52 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2018-04-22 07:50:53 UTC (rev 317286)
+++ PKGBUILD	2018-04-22 07:51:16 UTC (rev 317287)
@@ -1,52 +0,0 @@
-# $Id$
-# Maintainer: Felix Yan <felixonmars at archlinux.org>
-# Contributor: Daniel Wallace <danielwallace at gtmanfred dot com>
-# Contributor: Thomas S Hatch <thatch45 at gmail.com>
-
-pkgbase=python-pyfix
-pkgname=('python-pyfix' 'python2-pyfix')
-pkgver=0.2.3
-_commit=403d51f426dda6a907c96d8d9d2e2942999b1f23
-pkgrel=3
-pkgdesc='A framework for writing automated software tests'
-arch=('any')
-url='https://github.com/pyclectic/pyfix'
-license=('Apache')
-makedepends=('python-pybuilder' 'python2-pybuilder' 'python-pyassert' 'python2-pyassert' 'git'
-             'python-coverage' 'python2-coverage' 'python-mockito' 'python2-mockito'
-             'python-unittest-xml-reporting' 'python2-unittest-xml-reporting' 'pychecker')
-             # python3-pychecker is missing
-source=("git+https://github.com/pyclectic/pyfix.git#commit=$_commit")
-md5sums=('SKIP')
-
-prepare() {
-  # package name will be determined by directory name
-  mkdir py2
-  cp -a pyfix py2/
-}
-
-check() {
-  cd "$srcdir"/pyfix
-  pyb -v analyze || warning "broken tests"
-
-  cd "$srcdir"/py2/pyfix
-  pyb2 -v analyze || warning "broken tests"
-}
-
-package_python-pyfix() {
-  depends=('python-pyassert')
-
-  cd pyfix
-  pyb -v -o package
-  cd target/dist/pyfix-$pkgver
-  python setup.py install --root="$pkgdir" -O1
-}
-
-package_python2-pyfix() {
-  depends=('python2-pyassert')
-
-  cd py2/pyfix
-  pyb2 -v -o package
-  cd target/dist/pyfix-$pkgver
-  python2 setup.py install --root="$pkgdir" -O1
-}

Copied: python-pyfix/repos/community-any/PKGBUILD (from rev 317286, python-pyfix/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2018-04-22 07:51:16 UTC (rev 317287)
@@ -0,0 +1,35 @@
+# $Id$
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Contributor: Daniel Wallace <danielwallace at gtmanfred dot com>
+# Contributor: Thomas S Hatch <thatch45 at gmail.com>
+
+pkgname=python-pyfix
+pkgver=0.2.3
+_commit=403d51f426dda6a907c96d8d9d2e2942999b1f23
+pkgrel=4
+pkgdesc='A framework for writing automated software tests'
+arch=('any')
+url='https://github.com/pyclectic/pyfix'
+license=('Apache')
+depends=('python-pyassert')
+makedepends=('python-pybuilder' 'python-pyassert' 'python-coverage' 'python-mockito'
+             'python-unittest-xml-reporting' 'pychecker')
+source=("$pkgname-$_commit.tar.gz::https://github.com/pyclectic/pyfix/archive/$_commit.tar.gz")
+sha512sums=('879315ad2ce6a3697cee1ea366202ed43c140652938a31e1de1bbf276f9bc3304396152c7d1bc73a06b0b523d97a164ad76625a5131d9b8161deb7c011cd4b1b')
+
+prepare() {
+  # Pybuilder uses directory name to determine distribution name
+  mv pyfix-$_commit pyfix
+}
+
+check() {
+  cd pyfix
+  pyb -v analyze || warning "broken tests"
+}
+
+package() {
+  cd pyfix
+  pyb -v -o package
+  cd target/dist/pyfix-$pkgver
+  python setup.py install --root="$pkgdir" -O1
+}



More information about the arch-commits mailing list